package ru.yandex.webmaster3.core.searchquery.history;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author tsyplyaev
 */
public class GroupRenamed extends GroupModification {
    private String oldName;
    private String newName;

    public GroupRenamed() {
        super(ModificationType.GROUP_RENAMED);
    }

    public GroupRenamed(@JsonProperty String oldName, @JsonProperty String newName) {
        super(ModificationType.GROUP_RENAMED);
        this.oldName = oldName;
        this.newName = newName;
    }

    public String getOldName() {
        return oldName;
    }

    public String getNewName() {
        return newName;
    }

    public void setOldName(String oldName) {
        this.oldName = oldName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }
}
